// SASAX-RSS: RSS(RDF Site Summary) parser by SASAX
// Copyright (C) 2004 FUJIWARA Katsunori(foozy@lares.dti.ne.jp)
// 
// Permission is hereby granted, free of charge, to any person obtaining
// a copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to
// permit persons to whom the Software is furnished to do so, subject to
// the following conditions:
// 
// The above copyright notice and this permission notice shall be
// included in all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
// IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
// CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
// TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
// SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

package jp.ne.dti.lares.foozy.sasax.rss;

import java.awt.Dimension;

import javax.swing.BorderFactory;
import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTabbedPane;
import javax.swing.JTextField;

/**
 * Panel component to inform RSS information.
 *
 * @author FUJIWARA Katsunori &lt;foozy@lares.dti.ne.jp&gt;(code/doc)
 */
public class RootPane
    extends JTabbedPane //
{
    /**
     * RSS document location input field.
     */
    final
    public JTextField uri = new JTextField("http:");

    /**
     * Button to load RSS document.
     */
    final
    public JButton load = new JButton("LOAD RSS");

    ///////////////////////////////////////////////////////////////////////////

    /**
     * Constructor.
     */
    public RootPane(){
        super();

        {
            JPanel panelA = new JPanel();
            panelA.setLayout(new BoxLayout(panelA, BoxLayout.Y_AXIS));

            uri.setAlignmentY(CENTER_ALIGNMENT);
            uri.setBorder(BorderFactory.createTitledBorder("RSS location"));
            uri.setMaximumSize(new Dimension(1024, 48));
            panelA.add(uri);

            {
                JPanel panelC = new JPanel();
                panelC.setLayout(new BoxLayout(panelC, BoxLayout.X_AXIS));

                panelC.add(Box.createHorizontalGlue());

                load.setAlignmentY(CENTER_ALIGNMENT);
                panelC.add(load);

                panelA.add(panelC);
            }
            panelA.add(Box.createHorizontalStrut(256));
            panelA.add(Box.createVerticalGlue());

            addTab("RSS location", panelA);
        }
    }
}
