// SASAX-RSS: RSS(RDF Site Summary) parser by SASAX
// Copyright (C) 2004 FUJIWARA Katsunori(foozy@lares.dti.ne.jp)
// 
// Permission is hereby granted, free of charge, to any person obtaining
// a copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to
// permit persons to whom the Software is furnished to do so, subject to
// the following conditions:
// 
// The above copyright notice and this permission notice shall be
// included in all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
// IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
// CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
// TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
// SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

package jp.ne.dti.lares.foozy.sasax.rss;

import java.awt.Dimension;

import javax.swing.BorderFactory;
import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JPanel;
import javax.swing.JTextField;

/**
 * Panel component for single line text value.
 *
 * @author FUJIWARA Katsunori &lt;foozy@lares.dti.ne.jp&gt;(code/doc)
 */
public class ValuePane
    extends JPanel //
{
    final static
    private Dimension MAXIMUM_SIZE = new Dimension(4096, 24);

    ///////////////////////////////////////////////////////////////////////////

    /**
     * Constructor.
     *
     * @param label of value
     * @param value to inform
     */
    public ValuePane(String label, String value){
        super();

        this.setLayout(new BoxLayout(this, BoxLayout.X_AXIS));

        boolean specified = (null != value);
        {
            JTextField field =
            (specified ? new JTextField(value) : new JTextField());
            field.setEditable(false);
            field.setEnabled(specified);

            field.setAlignmentX(LEFT_ALIGNMENT);
            field.setBorder(BorderFactory.createEmptyBorder());
            field.setMaximumSize(MAXIMUM_SIZE);
            this.add(field);
        }
        this.add(Box.createHorizontalGlue());

        this.setBorder(BorderFactory.createTitledBorder(label));
    }

    ///////////////////////////////////////////////////////////////////////////
}
